﻿using UnityEngine;
using System.Collections;

public class Perseguir : MonoBehaviour {
	
	public float speed = 5.0f;
	public float minDist = 1f;
	public Transform target;

	// Función de inicialización
	void Start () 
	{
		// Si no tenemos un Target especificado, se perseguira al objeto con el tag Player. 
		if (target == null) {

			if (GameObject.FindWithTag ("Player")!=null)
			{
				target = GameObject.FindWithTag ("Player").GetComponent<Transform>();
			}
		}
	}
	
	// Se le llama en cada frame
	void Update () 
	{
		if (target == null)
			return;

		// Mira hacia el target. 
		transform.LookAt(target);

		//Recupera la distancia que hay desde el objeto al target
		float distance = Vector3.Distance(transform.position,target.position);

		//Nos movemos hacia el target a la velocidad indicada. 
		if(distance > minDist)	
			transform.position += transform.forward * speed * Time.deltaTime;	
	}

}
